PGPOOL_ADM_PCP_DETACH_NODE(3)

NAME
pgpool_adm_pcp_detach_node - a function to detach given node ID

SYNOPSIS

pcp_detach_node returns record(integer node_id, boolean gracefully, text host, integer port, text username, text password, out node_detached boolean);

pcp_detach_node returns record(integer node_id, boolean gracefully, text pcp_server, out node_detached boolean);

DESCRIPTION

pcp_detach_node detaches a node from Pgpool-II.

ARGUMENTS

node_id
    The index of backend node to detach.

gracefully
    If true, wait for all session of pgpool-II terminates.

pcp_server
    The foreign server name for pcp server.

Other arguments
    See pcp_common_options(1).

EXAMPLE

Here is an example output:

        test=# SELECT * FROM pcp_detach_node(node_id => 1, gracefully => 'false', host => 'localhost', port => 11001, username => 't-ishii', password => 't-ishii');
        node_detached
        ---------------
        t
        (1 row)